<?php
/*
Plugin Name: delaycommentsz
Plugin URI: http://hszemi.de
Description: Delay the possibility to comment for a reasonable amount of time.
Version: 0.9
Author: hszemi
Author URI: http://hszemi.de
License: GPL2
*/

/*  Copyright 2013  hszemi  (email : plugin at hszemi dot de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/* Add custom css */
add_action('comment_form_after', 'print_delaycommentsz_js');

function delaycommentsz_activate(){
	update_option( 'delaycommentsz_delay', 60 );
}
register_activation_hook( __FILE__, 'delaycommentsz_activate' );

function print_delaycommentsz_js(){

	$delay = intval(get_option('delaycommentsz_delay'));
	
	echo "
			<!-- delaycommentz -->
			<script type='text/javascript'>
				//hide comment field
				document.getElementById('respond').style.display='none';
				
				// wait x milliseconds
				//then show it again
				var delay = ".$delay.";
				var refresh_auto = window.setInterval('showComments()', delay*1000);
				
				function showComments(){
					document.getElementById('respond').style.display='block';
				}
			</script>
			<!-- /delaycommentz -->";
}

/** Step 2 of admin menu. */
add_action( 'admin_menu', 'delaycommentsz_menu' );

/** Step 1 of admin menu */
function delaycommentsz_menu() {
	add_options_page( 'delaycommentsz options', 'delaycommentsz', 'manage_options', 'delaycommentsz-options', 'delaycommentsz_options' );
}

/** Step 3 of admin menu */
function delaycommentsz_options() {
	
    //must check that the user has the required capability 
    if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }

    // variables for the field and option names 
    $opt_name_1 = 'delaycommentsz_delay';
    $data_field_name_1 = 'delaycommentsz_delay';
    $hidden_field_name = 'mt_submit_hidden';

    // Read in existing option value from database
    $opt_val_1 = get_option( $opt_name_1 );

    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    if( isset($_POST[ $hidden_field_name ]) && $_POST[ $hidden_field_name ] == 'Y' ) {
        // Read their posted value
        $opt_val_1 = intval($_POST[ $data_field_name_1 ]);

        // Save the posted value in the database
        update_option( $opt_name_1, $opt_val_1 );

        // Put an settings updated message on the screen

?>
<div class="updated"><p><strong><?php _e('Settings saved.', 'menu-test' ); ?></strong></p></div>
<?php

    }

    // Now display the settings editing screen

    echo '<div class="wrap">';

    // header

    echo "<div id='icon-options-general' class='icon32'><br></div><h2>delaycommentsz options</h2>";

    // settings form
    
    ?>

<form method="post" action="">
<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">

<p> Delay until comments form is displayed (seconds): 
<input type="text" name="<?php echo $data_field_name_1; ?>" value="<?php echo $opt_val_1; ?>" size="20">
</p>
<hr />

<p class="submit">
<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
</p>

</form>
</div>

<?php } ?>